sVset Struct Reference
Vset class

Contains public data members for Vset class. More...

`#include <vset.h>`

Collaboration diagram for sVset:
[legend]

## Public Attributes

Vmem * | vmem
| the memory manager
int | iMadeVmem
| did i make vmem or was it inherited
int | curT
| the current "T" object in our collection
char | nameT [VMAX_ARGLEN]
| name of object we are managing
int | sizeT
| size of the object in bytes
int | numBlocks
| total number of allocated blocks
int | numT
| the global "T" counter – how many "T"s in list
int | prtT
| for i/o at appropriate block creation/deletion
int | maxObjects
| number of objects to manage (user specified)
int | blockPower
| power of 2 for blocksize (e.g., =10, or =16)
int | blockSize
| blocksize is 2^(blockPower)
int | blockMax
| num blocks = blockMax=(maxObjects/blockSize)
int | blockModulo
| =blockSize-1; for determining which block fast
char ** | table
| list of pointers to blocks of storage we manage

## Detailed Description

Contains public data members for Vset class.

Author
  Michael Holst

## Member Data Documentation

## blockMax

int sVset::blockMax

num blocks = blockMax=(maxObjects/blockSize)

## blockModulo

int sVset::blockModulo

=blockSize-1; for determining which block fast

## blockPower

int sVset::blockPower

power of 2 for blocksize (e.g., =10, or =16)

## blockSize

int sVset::blockSize

blocksize is 2^(blockPower)

## curT

int sVset::curT

the current "T" object in our collection

## iMadeVmem

int sVset::iMadeVmem

did i make vmem or was it inherited

## maxObjects

int sVset::maxObjects

number of objects to manage (user specified)

## nameT

char sVset::nameT[VMAX_ARGLEN]

name of object we are managing

## numBlocks

int sVset::numBlocks

total number of allocated blocks

## numT

int sVset::numT

the global "T" counter – how many "T"s in list

## prtT

int sVset::prtT

for i/o at appropriate block creation/deletion

## sizeT

int sVset::sizeT

size of the object in bytes

## table

char** sVset::table

list of pointers to blocks of storage we manage

## vmem

Vmem* sVset::vmem

the memory manager

The documentation for this struct was generated from the following file:

- vset.h